OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
Interface

# Interface_DataMapIteratorOfDataMapOfIntegerTransient Class Reference

`#include <Interface_DataMapIteratorOfDataMapOfIntegerTransient.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Interface_DataMapIteratorOfDataMapOfIntegerTransient ()
Standard_EXPORT | Interface_DataMapIteratorOfDataMapOfIntegerTransient (const Interface_DataMapOfIntegerTransient &aMap)
Standard_EXPORT void | Initialize (const Interface_DataMapOfIntegerTransient &aMap)
Standard_EXPORT const Standard_Integer & | Key () const
Standard_EXPORT const Handle_Standard_Transient & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT Interface_DataMapIteratorOfDataMapOfIntegerTransient::Interface_DataMapIteratorOfDataMapOfIntegerTransient | ( |  | ) |

Standard_EXPORT Interface_DataMapIteratorOfDataMapOfIntegerTransient::Interface_DataMapIteratorOfDataMapOfIntegerTransient | ( | const Interface_DataMapOfIntegerTransient & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void Interface_DataMapIteratorOfDataMapOfIntegerTransient::Initialize | ( | const Interface_DataMapOfIntegerTransient & | aMap | ) |

Standard_EXPORT const Standard_Integer& Interface_DataMapIteratorOfDataMapOfIntegerTransient::Key | ( |  | ) | const

void Interface_DataMapIteratorOfDataMapOfIntegerTransient::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Interface_DataMapIteratorOfDataMapOfIntegerTransient::operator new | ( | size_t | size | ) | `[inline]`

void* Interface_DataMapIteratorOfDataMapOfIntegerTransient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_Standard_Transient& Interface_DataMapIteratorOfDataMapOfIntegerTransient::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- Interface_DataMapIteratorOfDataMapOfIntegerTransient.hxx